Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List

Classes | Namespaces | Functions
scope.h File Reference

Definition of `openvrml::scope`. More...

`#include <openvrml-common.h>`
`#include <list>`
`#include <map>`
`#include <string>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/utility.hpp>`
Include dependency graph for scope.h:

## Classes

class | openvrml::scope
| The `scope` class keeps track of defined `nodes` and prototypes. More...

## Namespaces

namespace | openvrml

| The OpenVRML Runtime Library.

## Functions

const std::string | openvrml::path (const scope &s) throw ( std::bad_alloc )

## Detailed Description

Definition of `openvrml::scope`.